locked
MVC 4 XP/VS2010 Compatibility RRS feed

  • Question

  • User1028033362 posted

    A bit confused here as the developer preview required at least Vista whereas the beta now includes XP as a baseline. Does anyone know if XP support will remain until release? I'd like to start using it but unfortunately my company is stuck on XP for the forseeable!

    Cheers

    Wednesday, February 22, 2012 4:48 AM

Answers

  • User-837620913 posted

    Not much changes from Beta to release (since the Beta includes a Go Live license) except for bug fixes, so I would say it's pretty safe to assume Windows XP will continue to be supported.

    And actually the release notes for ASP.NET MVC 4 include Windows XP as a supported OS.

    MVC 4 Developer Preview: http://www.microsoft.com/download/en/details.aspx?displaylang=en&id=27419

    MVC 4 Beta: http://www.microsoft.com/download/en/details.aspx?displaylang=en&id=28942

    • Marked as answer by Anonymous Thursday, October 7, 2021 12:00 AM
    Wednesday, February 22, 2012 5:14 AM
  • User401360897 posted

    That's fair enough but features such as bundling and minification utilise .NET4.5 which, in its current state, doesn't support XP. Any thoughts around that?

    Currently, ASP.NET MVC Beta only runs on .NET 4.0. IMHO, future version of MVC 4 also support .NET 4.0. So, don't worry.

    • Marked as answer by Anonymous Thursday, October 7, 2021 12:00 AM
    Monday, February 27, 2012 1:41 PM

All replies

  • User-837620913 posted

    Not much changes from Beta to release (since the Beta includes a Go Live license) except for bug fixes, so I would say it's pretty safe to assume Windows XP will continue to be supported.

    And actually the release notes for ASP.NET MVC 4 include Windows XP as a supported OS.

    MVC 4 Developer Preview: http://www.microsoft.com/download/en/details.aspx?displaylang=en&id=27419

    MVC 4 Beta: http://www.microsoft.com/download/en/details.aspx?displaylang=en&id=28942

    • Marked as answer by Anonymous Thursday, October 7, 2021 12:00 AM
    Wednesday, February 22, 2012 5:14 AM
  • User1028033362 posted

    That's fair enough but features such as bundling and minification utilise .NET4.5 which, in its current state, doesn't support XP. Any thoughts around that?

    Wednesday, February 22, 2012 6:15 AM
  • User1173667893 posted

    Bundling and minification are available in .NET 4.

    @System.Web.Optimization.BundleTable.Bundles.ResolveBundleUrl("~/Content/css")
    Wednesday, February 22, 2012 8:28 AM
  • User1028033362 posted

    Are they? What binary do they live in? They Optimization namespace isn't in System.Web.dll and I can't find a System.Web.Optimization.dll anywhere...

    Wednesday, February 22, 2012 9:15 AM
  • User-1280676833 posted

    Hi

    Maybe you can contact with product group, and ask they whether it will support XP.

    Hope this helpful
    Regards
    Young Yang

    Friday, February 24, 2012 2:35 AM
  • User401360897 posted

    That's fair enough but features such as bundling and minification utilise .NET4.5 which, in its current state, doesn't support XP. Any thoughts around that?

    Currently, ASP.NET MVC Beta only runs on .NET 4.0. IMHO, future version of MVC 4 also support .NET 4.0. So, don't worry.

    • Marked as answer by Anonymous Thursday, October 7, 2021 12:00 AM
    Monday, February 27, 2012 1:41 PM